%define		debug %nil
%define		debug_package %nil

Name:		enc
Version:	1.1.2
Release:	1
Summary:	CLI alternative to GnuPG
URL:		https://github.com/life4/enc
Source0:	%{url}/archive/%{version}/%{name}-%{version}.tar.gz
License:	MIT
Group:		Development/Other
BuildRequires:	go
BuildRequires:	git-core
BuildRequires:	upx

%description
Enc is a CLI tool for encryption, a modern and friendly
alternative to GnuPG. It is easy to use, secure by defaul
and can encrypt and decrypt files using password or
encryption keys, manage and download keys, and sign data.
Our goal was to make encryption available to all
engineers without the need to learn a lot of new words,
concepts, and commands. It is the most beginner-friendly
CLI tool for encryption, and keeping it that way is our
top priority.

%prep
%setup -q

%build

CGO_ENABLED=0 go build -ldflags '-s -w -X github.com/life4/enc/cmd/version.Version=%{version}' -o %{name} .
upx %{name}

# generation bash completion
./enc completion bash > bash_completion


%install
install -Dm0755 %{name} %{buildroot}%{_bindir}/%{name]
install -Dm0644 bash_completion %{buildroot}%{_datadir}/bash-completion/completions/%{name}



%files
%doc README.md LICENSE
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/%{name}


